Get serviceUpdateMessage
名前空間: microsoft.graph
serviceUpdateMessage オブジェクトのプロパティとリレーションシップを取得します。
この操作は、テナントの指定されたサービス更新メッセージを取得します。 テナントに対してメッセージが存在しない場合、この操作はエラーを返します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | ServiceMessage.Read.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | ServiceMessage.Read.All |
HTTP 要求
GET /admin/serviceAnnouncement/messages/{serviceUpdateMessageId}
オプションのクエリ パラメーター
このメソッドは、応答をカスタマイズするための OData クエリ パラメーターをサポートします。
要求ヘッダー
| 名前 | 説明 |
|---|---|
| Authorization | ベアラー {token}。必須。 |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答コード 200 OK と、応答本文 の serviceUpdateMessage オブジェクトを返します。
例
要求
GET https://graph.microsoft.com/v1.0/admin/serviceAnnouncement/messages/MC172851
応答
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#admin/serviceAnnouncement/messages/$entity",
"startDateTime": "2019-02-01T18:51:00Z",
"endDateTime": "2019-06-01T08:00:00Z",
"lastModifiedDateTime": "2021-01-08T01:10:06.843Z",
"title": "(Updated) New feature: Changes to PowerPoint and Word to open files faster",
"id": "MC172851",
"category": "StayInformed",
"severity": "Normal",
"tags": [
"Updated message"
],
"isMajorChange": true,
"actionRequiredByDateTime": null,
"services": [
"SharePoint Online",
"OneDrive for Business"
],
"details": [
{
"name": "ExternalLink",
"value": "https://support.office.com/article/office-document-cache-settings-4b497318-ae4f-4a99-be42-b242b2e8b692"
}
],
"body": {
"contentType": "Text",
"content": "Updated January 07, 2021: Based on learnings from our early rings, we have made the decision to make additional changes to the code before we proceed with the rollout. We will update the Message center post once we re-start the rollout. Thank you for your patience........"
},
"viewPoint": null
}
フィードバック
フィードバックの送信と表示